> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/synchronization/batch-synchronization.md).

# Batch synchronization

For synchronizing less than 50 000 resources, you can use `/import/synchronize/<synchronization_id>/<file_format>-job` to complete the entire synchronization process in one call.

{% hint style="info" %}
This call performs both the import and finalization steps in a single job. Resources that no longer exist in the external system are removed from Collibra.
{% endhint %}

To synchronize large amounts of data:

{% stepper %}
{% step %}
Divide the input into multiple files which do not exceed the 50 000 resources recommended limit.
{% endstep %}

{% step %}
Start the synchronization process for each batch by calling `/import/synchronize/<synchronization_id>/batch/<file_format>-job`.
{% endstep %}

{% step %}
[Finalize](/api/guides/working-with-the-import-api-v2/synchronization/synchronization-finalization-request-format.md) the synchronization by calling `/import/synchronize/<synchronization_id>/finalize/job`.

{% hint style="success" %}
The optional `finalizationStrategy` parameter determines the behavior regarding resources that no longer exist in the external system. You can set the parameter to `REMOVE_RESOURCES` to delete externally missing resources, to `CHANGE_STATUS` to update their status in Collibra or to `IGNORE` to leave them as they are. The default behavior of the Import API is to delete externally missing resources.

When you select `CHANGE_STATUS`, you must also specify the status to use with the `missingAssetStatusId`.
{% endhint %}
{% endstep %}
{% endstepper %}

{% hint style="info" %}
Provide the same [synchronization ID](/api/guides/working-with-the-import-api-v2/synchronization/synchronization-id.md) throughout the batch synchronization process.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/synchronization/batch-synchronization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
